unit AboutUnit;

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TAboutForm = class(TForm)
    OKBtn: TBitBtn;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EMailLabel: TLabel;
    URLLabel: TLabel;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure URLLabelClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure EMailLabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

uses PuzzleUnit, ShellAPI;

{$R *.DFM}

procedure TAboutForm.FormCreate(Sender: TObject);
begin
  Caption := 'About Puzzle';
end;

procedure TAboutForm.OKBtnClick(Sender: TObject);
begin
  Hide;
end;

procedure TAboutForm.FormHide(Sender: TObject);
var hold : TCursor;
begin
end;

procedure TAboutForm.URLLabelClick(Sender: TObject);
begin
  Hide;
  ShellExecute (0, Nil, PChar (URLLabel.Caption), Nil, Nil, SW_ShowDefault);
end;

procedure TAboutForm.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then Hide;
end;

procedure TAboutForm.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var hold : TCursor;
begin
end;

procedure TAboutForm.EMailLabelClick(Sender: TObject);
begin
  Hide;
  ShellExecute (0, Nil, 'mailto:reumuth@rocketmail.com', Nil, Nil, SW_ShowDefault);
end;

end.

